#
# spec file for package libdc1394
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

# if Build_12 is equal to 0 don't build version 1.2.2
%define Build_12 0

Name:           libdc1394
%define libdc1394_12_version 1.2.2
%define libdc1394_version 2.1.3
BuildRequires:  libraw1394-devel
%if 0%{?suse_version} > 1100
# no IIDC-over-USB support for openSUSE 11.0
BuildRequires:  libusb-1_0-devel pkg-config
%endif
License:        LGPLv2.1+
Group:          Hardware/Camera
AutoReqProv:    on
Version:        %{libdc1394_version}
Release:        21.22.1
Url:            http://sourceforge.net/projects/libdc1394/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        1394-Based Digital Camera Control Library
Source1:        libdc1394-%{libdc1394_12_version}.tar.bz2
Source2:        libdc1394-%{libdc1394_version}.tar.bz2
Source3:        %{name}-rpmlintrc
Patch0:         libdc1394.no-x11.patch
Patch1:         libdc1394.ac.patch
Patch2:         libdc1394-swab_fix.patch
Patch3:         libdc1394.raw1394_set_iso_handler.patch
Patch4:         libdc1394.visibility.patch

%description
This library provides functionality for controlling any camera that
conforms to the 1394-Based Digital Camera Specification. It utilizes
the low-level functionality provided by libraw1394 to communicate with
the camera.



Authors:
--------
    Gord Peters <GordPeters@smarttech.com>
    Per Dalgas Jakobsen <pdj@maridan.dk>
    Chris Urmson <curmson@ri.cmu.edu>
    Damien Douxchamps <douxchamps@ieee.org>
    Dan Dennedy <dan@dennedy.org>
    David Moore <david@startbox.com>
    John Stanley <stanley@peak.org>


%if %{Build_12} >= 1

%package -n libdc1394_control12
License:        LGPLv2.1+
Summary:        1394-Based Digital Camera Control Library
Group:          Hardware/Camera
Version:        %{libdc1394_12_version}
Release:        22.22.1

%description -n libdc1394_control12
This library provides functionality for controlling any camera that
conforms to the 1394-Based Digital Camera Specification (which can be
found at
http://www.1394ta.org/Download/Technology/Specifications/Camera120.pdf)
.  It utilizes the low-level functionality provided by libraw1394 to
communicate with the camera.



Authors:
--------
    Gord Peters <GordPeters@smarttech.com>
    Per Dalgas Jakobsen <pdj@maridan.dk>
    Chris Urmson <curmson@ri.cmu.edu>
    Damien Douxchamps <douxchamps@ieee.org>
    Dan Dennedy <dan@dennedy.org>
    David Moore <david@startbox.com>
    John Stanley <stanley@peak.org>

%package -n libdc1394_control12-devel
License:        LGPLv2.1+
Summary:        1394-Based Digital Camera Control Library
Group:          Development/Libraries/C and C++
Version:        %{libdc1394_12_version}
Release:        22.22.1
Requires:       libdc1394_control12 = %{libdc1394_12_version} libraw1394-devel

%description -n libdc1394_control12-devel
This library provides functionality for controlling any camera that
conforms to the 1394-Based Digital Camera Specification (which can be
found at
http://www.1394ta.org/Download/Technology/Specifications/Camera120.pdf)
.  It utilizes the low-level functionality provided by libraw1394 to
communicate with the camera.



Authors:
--------
    Gord Peters <GordPeters@smarttech.com>
    Per Dalgas Jakobsen <pdj@maridan.dk>
    Chris Urmson <curmson@ri.cmu.edu>
    Damien Douxchamps <douxchamps@ieee.org>
    Dan Dennedy <dan@dennedy.org>
    David Moore <david@startbox.com>
    John Stanley <stanley@peak.org>
%endif

%package 22
License:        LGPLv2.1+
Summary:        1394-Based Digital Camera Control Library
Group:          Hardware/Camera

%description 22
This library provides functionality for controlling any camera that
conforms to the 1394-Based Digital Camera Specification (which can be
found at
http://www.1394ta.org/Download/Technology/Specifications/Camera120.pdf)
.  It utilizes the low-level functionality provided by libraw1394 to
communicate with the camera.



Authors:
--------
    Gord Peters <GordPeters@smarttech.com>
    Per Dalgas Jakobsen <pdj@maridan.dk>
    Chris Urmson <curmson@ri.cmu.edu>
    Damien Douxchamps <douxchamps@ieee.org>
    Dan Dennedy <dan@dennedy.org>
    David Moore <david@startbox.com>
    John Stanley <stanley@peak.org>

%package devel
License:        LGPLv2.1+
Summary:        Development libraries and header files for dc1394
Group:          Development/Libraries/C and C++
Requires:       libdc1394-22 = %{libdc1394_version}
Requires:       libraw1394-devel

%description devel
This package contains the header files and libraries for building
programs using the dc1394 library.



Authors:
--------
    Gord Peters <GordPeters@smarttech.com>
    Per Dalgas Jakobsen <pdj@maridan.dk>
    Chris Urmson <curmson@ri.cmu.edu>
    Damien Douxchamps <douxchamps@ieee.org>
    Dan Dennedy <dan@dennedy.org>
    David Moore <david@startbox.com>
    John Stanley <stanley@peak.org>

%prep
%setup -q -T -c  -a 1 -a 2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
pushd %name-%{libdc1394_version}
%patch4 -p1
popd

%build
doit() {
	if pushd "$1" ; then
		autoreconf --force --install
		export CFLAGS="$RPM_OPT_FLAGS"
		%{configure} --disable-static --with-pic --disable-xv
		%{__make} %{?jobs:-j%jobs}
		popd
	fi
}
%if %{Build_12} >= 1
doit libdc1394-%{libdc1394_12_version}
%endif
doit libdc1394-%{libdc1394_version}

%install
doit() {
	if pushd "$1" ; then
		%{__make} DESTDIR=${RPM_BUILD_ROOT} install
		popd
	fi
}
%if %{Build_12} >= 1
doit libdc1394-%{libdc1394_12_version}
%endif
doit libdc1394-%{libdc1394_version}
rm -f %{buildroot}%{_bindir}/dc1394_vloopback %{buildroot}%{_mandir}/man1/dc1394_vloopback.1*
rm -f %{buildroot}%{_mandir}/man1/dc1394_multiview.1*
rm -f %{buildroot}%{_mandir}/man1/grab_*_image.1*
%{__rm} -f %{buildroot}%{_libdir}/*.la

%if %{Build_12} >= 1

%post -n libdc1394_control12 -p /sbin/ldconfig

%postun -n libdc1394_control12  -p /sbin/ldconfig
%endif

%post 22 -p /sbin/ldconfig

%postun 22 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc libdc1394-%{libdc1394_version}/{AUTHORS,COPYING,ChangeLog,NEWS,README}
%_bindir/dc1394_reset_bus
%{_mandir}/man1/dc1394_reset_bus.1*

%files 22
%defattr(-,root,root)
%_libdir/libdc1394.so.22*

%if %{Build_12} >= 1

%files -n libdc1394_control12
%defattr(-,root,root)
%_libdir/libdc1394_control.so.*

%files -n libdc1394_control12-devel
%defattr(-,root,root)
%_includedir/libdc1394
%_libdir/libdc1394_control*.so
%endif

%files devel
%defattr(-,root,root)
%_includedir/dc1394
%_libdir/libdc1394.so
%_libdir/pkgconfig/*.pc

%changelog
* Fri Sep  9 2011 wstephenson@suse.com
- Add upstream patch changing the visibility of usb_init()
  (LB#3361405)
* Mon Jan  3 2011 matwey.kornilov@gmail.com
- Update to 2.1.3.
  - Bug fixes:
    Fix for usb writes larger than 1 quadlet
    On MAC OS, add needed frameworks to link line
    Update firewire-{cdev,constants}.h to latest version and license
    Change dequeue/enqueue to return error code if usb transfer haserror
    dc1394/conversions.h: Fix typo in DC1394_STEREO_METHOD_MIN define
* Fri Nov 19 2010 jslaby@novell.com
- don't strip the objects when installing to allow for -debug*
  package creation
* Mon Oct  4 2010 davejplater@gmail.com
- Version 1.2.2 no longer builds with libraw1394-2.0.5 so sub packages
  libdc1394_control12 and libdc1394_control12-devel are no longer
  provided. See entry for Tue Aug 15 14:10:33 CEST 2006.
* Sun Dec 27 2009 matwey.kornilov@gmail.com
- Update to 2.1.2.
  - IIDC-over-USB support
  - Bug fixes:
    bayer conversion problem for 16bit over MONO16
    dc1394_deinterlace_stereo_frames (LP#360520)
  - Bug fixes on Linux Juju:
    missing frames with OHCI 1.0
    automatic iso allocation
    timestamp support
    broadcasting
* Mon Nov 23 2009 matwey.kornilov@gmail.com
- Update to 2.0.3. Changes since 2.0.2:
  - Bug fixes on MSW port
  - Bug fixes:
    dc1394_trigger_get_polarity
    dc1394_deinterlace_stereo_frames
  - Bug fixes on Linux Juju:
  - alignment problem during reads
  - Bug fixes on Mac OS:
  - crash fix for Mac OS 10.4
* Tue Jan 13 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Mon Oct  6 2008 olh@suse.de
- fix ordered comparison of pointer with integer zero (bnc#431916)
* Thu Jun 19 2008 pth@suse.de
- Include unistd.h to get prototype for swab.
- Update to 2.0.2. Changes since 2.0.0:
  - New functions on all platforms:
    dc1394_camera_get_node
    dc1394_capture_is_frame_corrupt
  - New function on Linux video1394 only:
    dc1394_camera_get_linux_port
  - New example program to capture PVN sequences.
  - Bug fixes on Linux Juju:
  - Better retry timeouts
  - Fix manual isochronous channel allocation
  - Bug fixes on Mac OS:
  - Auto detection of bad or skipped packets (used for
    dc1394_capture_is_frame_corrupt)
  - Bug fixes on Linux video1394:
  - Fix select() with multiple cameras on the same controller
  - Handle EINTR return code properly in dc1394_capture_dequeue
  - Better error detection if camera enumeration fails
  - Documentation improvements
  - - 2.0.1:
  - Fixed broken dc1394/dc1394.h include file when compiling externally.
  - Removed the "edge-sense" bayer demosaic algorithm out of patent concern.
* Fri Apr 11 2008 schwab@suse.de
- Fix configure script.
* Thu Jan 24 2008 olh@suse.de
- remove buildrequires for xorg-x11-devel
* Tue Jan 15 2008 olh@suse.de
- libdc1394-devel requires libdc1394-22
* Mon Jan 14 2008 olh@suse.de
- update to 2.0.0 final
  rename libdc1394-20 to libdc1394-22 due to SONAME change
* Thu Aug 16 2007 olh@suse.de
- libdc1394_control12-devel needs libraw1394-devel
* Thu Aug 16 2007 olh@suse.de
- remove inclusion of code which is labeled as GPL (298152)
  removes topology.h, cooked1394_read() and others
  remove dc1394_vloopback binary
* Sun Aug  5 2007 olh@suse.de
- split libdc1394-20 package which contains only libraries
  split libdc1394_control12 and libdc1394_control12-devel
  upgrade to 1.2.2, color filter fix
* Fri Jul 13 2007 olh@suse.de
- update to 2.0.0-rc7
  API fixes
* Tue Aug 15 2006 olh@suse.de
- update to 2.0.0-rc3 (#198102)
  all new API
- keep old library version until every app is converted
* Wed Jul 19 2006 olh@suse.de
- update to 1.2.1
  replaced camera version detection in dc1394_is_camera() by a
  proper call to dc1394_get_sw_version().
  fixed compilation warnings due to mixed signedness in the whole code.
  fixed a serious bug in the camera detection.
  updated TRIGGER_MODE_NUM definition
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 21 2005 olh@suse.de
- correct usage of CLK_TCK
- update to current cvs
  fixed memory leak in capture functions (dma device name not freed)
  fixed trigger capabilities detection (Markus Niebel)
  fixed some confusion between raw1394_new_handle and dc1394_create_handle
  (Thanks to Thorondor)
* Mon Sep 26 2005 mls@suse.de
- make devel package require base package
* Tue Jul  5 2005 olh@suse.de
- go back to version 1, version 2 still needs some time
* Fri Jul  1 2005 olh@suse.de
- update to version 2.0.0-pre3
* Fri Jul  1 2005 olh@suse.de
- update to version 1.1.0
* Thu Jan 13 2005 olh@suse.de
- update to version 1.0.0, cvs status 2004-11-12
* Tue Jan 11 2005 olh@suse.de
- update to version 1.0.0
* Mon Mar  8 2004 lmuelle@suse.de
- update to version 0.9.3
- create devel sub package
* Wed Jan  7 2004 lmuelle@suse.de
- update to version 0.9.2
* Mon Jul 28 2003 adrian@suse.de
- fix lib filename suffix
* Fri Jul 25 2003 adrian@suse.de
- update to version 0.9.1
- use BuildRoot
- add %%run_ldconfig
* Fri Sep 27 2002 uli@suse.de
- initial package
